package com.virtual.pollentia.WalkingTour.vista;


/**
 * Created by Roger Gomez
 */

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import com.virtual.pollentia.WalkingTour.controlador.Controlador;
import com.virtual.pollentia.pollentia_tour.R;


public class SplashScreen extends Activity {

    //Variables Globales

    //tiempo de duración del splash
    private static int SPLASH_TIME_OUT = 3000;

    //controlador
    private Controlador controlador;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_splash_screen);

        //creamos el crontrolador y iniciamos la carga de assets
        controlador = controlador.getSingletonInstance(this, null);
        controlador.initApp(this);
    }

    /**
     * Función que es llamada para avisar de que la carga de assets se finalizo y podemos saltar la pantalla de splash.
     */
    public void nextActivity() {
        new Handler().postDelayed(new Runnable() {

            @Override
            public void run() {
                Intent i = new Intent(SplashScreen.this, MainActivity.class);
                startActivity(i);
                finish();
            }
        }, SPLASH_TIME_OUT);
    }

}
